eccodes: Data Fields

eccodes

- Main Page
- C Interface
- F90 Interface
- Python Interface

- Data Structures
- Data Fields

- All
- Functions

- c
- t

All Data Structures Namespaces Files Functions Groups Pages
Here is a list of all documented struct and union fields with links to the struct/union documentation for each field:

### - c -

- codes_any_new_from_file() : eccodes
- codes_bufr_copy_data() : eccodes
- codes_bufr_new_from_file() : eccodes
- codes_bufr_new_from_samples() : eccodes
- codes_check() : eccodes
- codes_clone() : eccodes
- codes_close_file() : eccodes
- codes_copy_key() : eccodes
- codes_copy_message() : eccodes
- codes_copy_namespace() : eccodes
- codes_count_in_file() : eccodes
- codes_dump() : eccodes
- codes_get_byte_array() : eccodes::codes_get , eccodes
- codes_get_error_string() : eccodes
- codes_get_int() : eccodes::codes_get , eccodes
- codes_get_int_array() : eccodes::codes_get , eccodes
- codes_get_long() : eccodes::codes_get , eccodes
- codes_get_long_array() : eccodes
- codes_get_message_size_int() : eccodes::codes_get_message_size , eccodes
- codes_get_message_size_size_t() : eccodes::codes_get_message_size , eccodes
- codes_get_real4() : eccodes::codes_get , eccodes
- codes_get_real4_array() : eccodes::codes_get , eccodes
- codes_get_real4_element() : eccodes , eccodes::codes_get_element
- codes_get_real4_elements() : eccodes::codes_get_element , eccodes
- codes_get_real8() : eccodes::codes_get , eccodes
- codes_get_real8_array() : eccodes::codes_get , eccodes
- codes_get_real8_element() : eccodes::codes_get_element , eccodes
- codes_get_real8_elements() : eccodes::codes_get_element , eccodes
- codes_get_size_int() : eccodes::codes_get_size , eccodes
- codes_get_size_long() : eccodes::codes_get_size , eccodes
- codes_get_string() : eccodes::codes_get , eccodes
- codes_get_string_array() : eccodes
- codes_grib_find_nearest_four_single() : eccodes::codes_grib_find_nearest , eccodes
- codes_grib_find_nearest_multiple() : eccodes::codes_grib_find_nearest , eccodes
- codes_grib_find_nearest_single() : eccodes::codes_grib_find_nearest , eccodes
- codes_grib_get_data_real4() : eccodes::codes_grib_get_data , eccodes
- codes_grib_get_data_real8() : eccodes::codes_grib_get_data , eccodes
- codes_grib_multi_append() : eccodes
- codes_grib_multi_support_off() : eccodes
- codes_grib_multi_support_on() : eccodes
- codes_grib_multi_write() : eccodes
- codes_grib_new_from_file() : eccodes
- codes_grib_new_from_samples() : eccodes
- codes_gribex_mode_off() : eccodes
- codes_gribex_mode_on() : eccodes
- codes_index_add_file() : eccodes
- codes_index_create() : eccodes
- codes_index_get_int() : eccodes::codes_index_get , eccodes
- codes_index_get_long() : eccodes::codes_index_get , eccodes
- codes_index_get_real8() : eccodes::codes_index_get , eccodes
- codes_index_get_size_int() : eccodes::codes_index_get_size , eccodes
- codes_index_get_size_long() : eccodes::codes_index_get_size , eccodes
- codes_index_get_string() : eccodes::codes_index_get , eccodes
- codes_index_read() : eccodes
- codes_index_release() : eccodes
- codes_index_select_int() : eccodes::codes_index_select , eccodes
- codes_index_select_long() : eccodes::codes_index_select , eccodes
- codes_index_select_real8() : eccodes::codes_index_select , eccodes
- codes_index_select_string() : eccodes::codes_index_select , eccodes
- codes_index_write() : eccodes
- codes_is_defined() : eccodes
- codes_is_missing() : eccodes
- codes_keys_iterator_delete() : eccodes
- codes_keys_iterator_get_name() : eccodes
- codes_keys_iterator_new() : eccodes
- codes_keys_iterator_next() : eccodes
- codes_keys_iterator_rewind() : eccodes
- codes_new_from_file() : eccodes
- codes_new_from_index() : eccodes
- codes_new_from_message_char() : eccodes , eccodes::codes_new_from_message
- codes_new_from_message_int4() : eccodes::codes_new_from_message , eccodes
- codes_open_file() : eccodes
- codes_read_bytes_char() : eccodes::codes_read_bytes , eccodes
- codes_read_bytes_char_size_t() : eccodes::codes_read_bytes , eccodes
- codes_read_bytes_int4() : eccodes::codes_read_bytes , eccodes
- codes_read_bytes_int4_size_t() : eccodes::codes_read_bytes , eccodes
- codes_read_bytes_real4() : eccodes::codes_read_bytes , eccodes
- codes_read_bytes_real4_size_t() : eccodes::codes_read_bytes , eccodes
- codes_read_bytes_real8() : eccodes::codes_read_bytes , eccodes
- codes_read_bytes_real8_size_t() : eccodes::codes_read_bytes , eccodes
- codes_read_from_file_char() : eccodes::codes_read_from_file , eccodes
- codes_read_from_file_char_size_t() : eccodes , eccodes::codes_read_from_file
- codes_read_from_file_int4() : eccodes::codes_read_from_file , eccodes
- codes_read_from_file_int4_size_t() : eccodes::codes_read_from_file , eccodes
- codes_read_from_file_real4() : eccodes
- codes_read_from_file_real4_size_t() : eccodes
- codes_read_from_file_real8() : eccodes
- codes_read_from_file_real8_size_t() : eccodes
- codes_release() : eccodes
- codes_set_byte_array() : eccodes::codes_set , eccodes
- codes_set_definitions_path() : eccodes
- codes_set_int() : eccodes , eccodes::codes_set
- codes_set_int_array() : eccodes::codes_set , eccodes
- codes_set_long() : eccodes , eccodes::codes_set
- codes_set_long_array() : eccodes::codes_set , eccodes
- codes_set_missing() : eccodes
- codes_set_real4() : eccodes::codes_set , eccodes
- codes_set_real4_array() : eccodes::codes_set , eccodes
- codes_set_real8() : eccodes::codes_set , eccodes
- codes_set_real8_array() : eccodes , eccodes::codes_set
- codes_set_samples_path() : eccodes
- codes_set_string() : eccodes::codes_set , eccodes
- codes_set_string_array() : eccodes
- codes_skip_coded() : eccodes
- codes_skip_computed() : eccodes
- codes_skip_duplicates() : eccodes
- codes_skip_read_only() : eccodes
- codes_write() : eccodes
- codes_write_bytes_char() : eccodes::codes_write_bytes , eccodes
- codes_write_bytes_char_size_t() : eccodes::codes_write_bytes , eccodes
- codes_write_bytes_int4() : eccodes , eccodes::codes_write_bytes
- codes_write_bytes_int4_size_t() : eccodes , eccodes::codes_write_bytes
- codes_write_bytes_real4() : eccodes::codes_write_bytes , eccodes
- codes_write_bytes_real4_size_t() : eccodes::codes_write_bytes , eccodes
- codes_write_bytes_real8() : eccodes , eccodes::codes_write_bytes
- codes_write_bytes_real8_size_t() : eccodes , eccodes::codes_write_bytes